# MapValues\[K: [Any](builtin-Any) #share, V: [Any](builtin-Any) #share, H: [HashFunction](collections-HashFunction)\[K\] val\]
<span class="source-link">[[Source]](src/collections-persistent/map.md#L129)</span>
```pony
class ref MapValues[K: Any #share, V: Any #share, H: HashFunction[K] val]
```

## Constructors

### create
<span class="source-link">[[Source]](src/collections-persistent/map.md#L132)</span>


```pony
new ref create(
  m: HashMap[K, V, H] val)
: MapValues[K, V, H] ref^
```
#### Parameters

*   m: [HashMap](collections-persistent-HashMap)\[K, V, H\] val

#### Returns

* [MapValues](collections-persistent-MapValues)\[K, V, H\] ref^

---

## Public Functions

### has_next
<span class="source-link">[[Source]](src/collections-persistent/map.md#L134)</span>


```pony
fun box has_next()
: Bool val
```

#### Returns

* [Bool](builtin-Bool) val

---

### next
<span class="source-link">[[Source]](src/collections-persistent/map.md#L136)</span>


```pony
fun ref next()
: val->V ?
```

#### Returns

* val->V ?

---

